[PATCH] nl80211 connect API support

Jouni Malinen j at w1.fi
Thu Aug 13 05:11:03 EDT 2009


On Thu, Aug 13, 2009 at 04:55:31PM +0800, Zhu Yi wrote:

> -	 * authenticate - Request driver to authenticate
> +	 * authenticate - Request driver to authenticate (deprecated)

> +	 * This is an optional function that to make compatibility for wireless
> +	 * stack that doesn't support connect API when driver SME is used
> +	 * (WPA_DRIVER_FLAGS_SME).

Thanks for the patch. If I understood this correctly, wpa_supplicant
would be converted to use the new connect command whenever it is
supported. While it is nice to get support for connect added, this is
not how it should be done as it breaks all the new work we have been
enabling with mac80211. The separate auth/assoc commands should be the
default operation and only if the driver does not support this, should
the connect command be used.

-- 
Jouni Malinen                                            PGP id EFC895FA


More information about the HostAP mailing list